Index: code/trunk/src/orxonox/OrxonoxPlatform.h
===================================================================
--- code/trunk/src/orxonox/OrxonoxPlatform.h	(revision 871)
+++ code/trunk/src/orxonox/OrxonoxPlatform.h	(revision 890)
@@ -251,4 +251,14 @@
 #endif
 
+
+// Create a logical xor operator
+#if ORXONOX_COMPILER == ORXONOX_COMPILER_MSVC
+#  define XOR ^
+#elif ORXONOX_COMPILER == ORXONOX_COMPILER_GCC
+#  define XOR xor
+#else
+#  define XOR ^
+#endif
+
 } /* namespace orxonox */
 
Index: code/trunk/src/orxonox/OrxonoxStableHeaders.h
===================================================================
--- code/trunk/src/orxonox/OrxonoxStableHeaders.h	(revision 871)
+++ code/trunk/src/orxonox/OrxonoxStableHeaders.h	(revision 890)
@@ -87,4 +87,11 @@
 #include "util/String2Number.h"
 #include "util/Tokenizer.h"
+#include "util/Multitype.h"
+#include "util/MultiTypeMath.h"
+#include "util/MultiTypePrimitive.h"
+#include "util/MultiTypeString.h"
+#include "util/substring.h"
+#include "util/XMLIncludes.h"
+
 #include "util/tinyxml/ticpp.h"
 #include "util/tinyxml/tinyxml.h"
Index: code/trunk/src/orxonox/core/ClassTreeMask.cc
===================================================================
--- code/trunk/src/orxonox/core/ClassTreeMask.cc	(revision 871)
+++ code/trunk/src/orxonox/core/ClassTreeMask.cc	(revision 890)
@@ -592,5 +592,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) or other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) || other.isIncluded(subclass), false, false);
         }
 
@@ -599,5 +599,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) or other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) || other.isIncluded(subclass), false, false);
         }
 
@@ -623,5 +623,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) and other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) && other.isIncluded(subclass), false, false);
         }
 
@@ -630,5 +630,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) and other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) && other.isIncluded(subclass), false, false);
         }
 
@@ -737,5 +737,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) xor other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) XOR other.isIncluded(subclass), false, false);
         }
 
@@ -744,5 +744,5 @@
         {
             const Identifier* subclass = it->getClass();
-            newmask.add(subclass, this->isIncluded(subclass) xor other.isIncluded(subclass), false, false);
+            newmask.add(subclass, this->isIncluded(subclass) XOR other.isIncluded(subclass), false, false);
         }
 
Index: code/trunk/src/orxonox/core/Identifier.h
===================================================================
--- code/trunk/src/orxonox/core/Identifier.h	(revision 871)
+++ code/trunk/src/orxonox/core/Identifier.h	(revision 890)
@@ -206,5 +206,5 @@
     };
 
-    std::ostream& operator<<(std::ostream& out, const std::list<const Identifier*>& list);
+    _CoreExport std::ostream& operator<<(std::ostream& out, const std::list<const Identifier*>& list);
 
 
Index: code/trunk/src/orxonox/objects/Tickable.cc
===================================================================
--- code/trunk/src/orxonox/objects/Tickable.cc	(revision 871)
+++ code/trunk/src/orxonox/objects/Tickable.cc	(revision 890)
@@ -1,2 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OrxonoxStableHeaders.h"
+
 #include "core/CoreIncludes.h"
 #include "Tickable.h"
Index: code/trunk/src/orxonox/tools/Timer.cc
===================================================================
--- code/trunk/src/orxonox/tools/Timer.cc	(revision 871)
+++ code/trunk/src/orxonox/tools/Timer.cc	(revision 890)
@@ -1,2 +1,31 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OrxonoxStableHeaders.h"
+
 #include "core/CoreIncludes.h"
 #include "Timer.h"
Index: code/trunk/src/util/MultiTypeMath.h
===================================================================
--- code/trunk/src/util/MultiTypeMath.h	(revision 871)
+++ code/trunk/src/util/MultiTypeMath.h	(revision 890)
@@ -153,5 +153,5 @@
 };
 
-std::ostream& operator<<(std::ostream& out, MultiTypeMath& mtm);
+_UtilExport std::ostream& operator<<(std::ostream& out, MultiTypeMath& mtm);
 
 #endif /* _MultiTypeMath_H__ */
Index: code/trunk/src/util/MultiTypePrimitive.h
===================================================================
--- code/trunk/src/util/MultiTypePrimitive.h	(revision 871)
+++ code/trunk/src/util/MultiTypePrimitive.h	(revision 890)
@@ -175,5 +175,5 @@
 };
 
-std::ostream& operator<<(std::ostream& out, const MultiTypePrimitive& mtp);
+_UtilExport std::ostream& operator<<(std::ostream& out, const MultiTypePrimitive& mtp);
 
 #endif /* _MultiTypePrimitive_H__ */
Index: code/trunk/src/util/MultiTypeString.h
===================================================================
--- code/trunk/src/util/MultiTypeString.h	(revision 871)
+++ code/trunk/src/util/MultiTypeString.h	(revision 890)
@@ -109,5 +109,5 @@
 };
 
-std::ostream& operator<<(std::ostream& out, MultiTypeString& mts);
+_UtilExport std::ostream& operator<<(std::ostream& out, MultiTypeString& mts);
 
 #endif /* _MultiTypeString_H__ */
Index: code/trunk/src/util/XMLIncludes.h
===================================================================
--- code/trunk/src/util/XMLIncludes.h	(revision 871)
+++ code/trunk/src/util/XMLIncludes.h	(revision 890)
@@ -1,3 +1,29 @@
-#include "util/tinyxml/TinyXMLPrereqs.h"
+//-----------------------------------------------------------------------
+// Forward declarations
+//-----------------------------------------------------------------------
+
+class TiXmlString;
+class TiXmlOutStream;
+class TiXmlNode;
+class TiXmlHandle;
+class TiXmlDocument;
+class TiXmlElement;
+class TiXmlComment;
+class TiXmlUnknown;
+class TiXmlAttribute;
+class TiXmlText;
+class TiXmlDeclaration;
+class TiXmlParsingData;
+
+namespace ticpp
+{
+    class Document;
+    class Element;
+    class Declaration;
+    class StylesheetReference;
+    class Text;
+    class Comment;
+    class Attribute;
+}
 
 namespace orxonox
Index: code/trunk/src/util/tinyxml/TinyXMLPrereqs.h
===================================================================
--- code/trunk/src/util/tinyxml/TinyXMLPrereqs.h	(revision 871)
+++ 	(revision )
@@ -1,86 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Reto Grieder
- *   Co-authors:
- *      ...
- *
- */
-
-/**
- @file  OrxonoxPrereq.h
- @brief Contains all the necessary forward declarations for all classes, structs and enums.
- */
-
-#ifndef _TinyXMLPrereqs_H__
-#define _TinyXMLPrereqs_H__
-
-#include "orxonox/OrxonoxPlatform.h"
-
-//-----------------------------------------------------------------------
-// Shared library settings
-//-----------------------------------------------------------------------
-#if (ORXONOX_PLATFORM == ORXONOX_PLATFORM_WIN32) && !defined( TINYXML_STATIC_BUILD )
-#  ifdef TINYXML_SHARED_BUILD
-#    define _TinyXMLExport __declspec(dllexport)
-#  else
-#    if defined( __MINGW32__ )
-#      define _TinyXMLExport
-#    else
-#      define _TinyXMLExport __declspec(dllimport)
-#    endif
-#  endif
-#elif defined ( ORXONOX_GCC_VISIBILITY )
-#  define _TinyXMLExport  __attribute__ ((visibility("default")))
-#else
-#  define _TinyXMLExport
-#endif
-
-
-//-----------------------------------------------------------------------
-// Forward declarations
-//-----------------------------------------------------------------------
-
-class TiXmlString;
-class TiXmlOutStream;
-class TiXmlNode;
-class TiXmlHandle;
-class TiXmlDocument;
-class TiXmlElement;
-class TiXmlComment;
-class TiXmlUnknown;
-class TiXmlAttribute;
-class TiXmlText;
-class TiXmlDeclaration;
-class TiXmlParsingData;
-
-namespace ticpp
-{
-    class Document;
-    class Element;
-    class Declaration;
-    class StylesheetReference;
-    class Text;
-    class Comment;
-    class Attribute;
-}
-
-#endif /* _TinyXMLPrereqs_H__ */
